Panda3D

- Main Page
- Packages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions

# MouseWatcherGroup Class Reference

This represents a collection of MouseWatcherRegions that may be managed as a group. More...

Inheritance diagram for MouseWatcherGroup:

List of all members.

## Public Member Functions
| addRegion (MouseWatcherRegion region)
| Adds the indicated region to the set of regions in the group.
| clearRegions ()
| Removes all the regions from the group.
MouseWatcherRegion | findRegion (string name)
| Returns a pointer to the first region found with the indicated name.
int | getNumRegions ()
| Returns the number of regions in the group.
MouseWatcherRegion | getRegion (int n)
| Returns the nth region of the group; returns NULL if there is no nth region.
list | getRegions ()
bool | hasRegion (MouseWatcherRegion region)
| Returns true if the indicated region has already been added to the MouseWatcherGroup, false otherwise.
| hideRegions ()
| Stops the visualization created by a previous call to show_regions().
bool | isSorted ()
| Returns true if the group has already been sorted, false otherwise.
| output (ostream out)
bool | removeRegion (MouseWatcherRegion region)
| Removes the indicated region from the group.
| setColor (VBase4 const color)
| Specifies the color used to draw the region rectangles for the regions visualized by show_regions().
| showRegions (NodePath const render2d, string bin_name, int draw_order)
| Enables the visualization of all of the regions handled by this MouseWatcherGroup.
| sortRegions ()
| Sorts all the regions in this group into pointer order.
| updateRegions ()
| Refreshes the visualization created by show_regions().
| write (ostream out)
| write (ostream out, int indent_level)
## Static Public Member Functions
static TypeHandle | getClassType ()

## Detailed Description

This represents a collection of MouseWatcherRegions that may be managed as a group.

## Member Function Documentation

addRegion | ( | MouseWatcherRegion | region | ) |

Adds the indicated region to the set of regions in the group.

It is an error to add the same region to the set more than once.

clearRegions | ( |  | ) |

Removes all the regions from the group.

MouseWatcherRegion findRegion | ( | string | name | ) |

Returns a pointer to the first region found with the indicated name.

If multiple regions share the same name, the one that is returned is indeterminate.

static TypeHandle getClassType | ( |  | ) | `[static]`

Reimplemented from ReferenceCount.

Reimplemented in MouseWatcher.

int getNumRegions | ( |  | ) |

Returns the number of regions in the group.

MouseWatcherRegion getRegion | ( | int | n | ) |

Returns the nth region of the group; returns NULL if there is no nth region.

Note that this is not thread-safe; another thread might have removed the nth region before you called this method.

list getRegions | ( |  | ) |

bool hasRegion | ( | MouseWatcherRegion | region | ) |

Returns true if the indicated region has already been added to the MouseWatcherGroup, false otherwise.

hideRegions | ( |  | ) |

Stops the visualization created by a previous call to show_regions().

bool isSorted | ( |  | ) |

Returns true if the group has already been sorted, false otherwise.

output | ( | ostream | out | ) |

bool removeRegion | ( | MouseWatcherRegion | region | ) |

Removes the indicated region from the group.

Returns true if it was successfully removed, or false if it wasn't there in the first place.

Reimplemented in MouseWatcher.

setColor | ( | VBase4 const | color | ) |

Specifies the color used to draw the region rectangles for the regions visualized by show_regions().

showRegions | ( | NodePath const | render2d,
|  | string | bin_name,
|  | int | draw_order
| ) |  |

Enables the visualization of all of the regions handled by this MouseWatcherGroup.

The supplied NodePath should be the root of the 2-d scene graph for the window.

sortRegions | ( |  | ) |

Sorts all the regions in this group into pointer order.

updateRegions | ( |  | ) |

Refreshes the visualization created by show_regions().

write | ( | ostream | out | ) |

write | ( | ostream | out,
|  | int | indent_level
| ) |  |

All Classes Namespaces Functions Variables Enumerations Enumerator Properties